#ifndef SERIAL_H
#define SERIAL_H

#include <windows.h>

class Serial
{
public:
    explicit Serial();

    bool open(const char *name);
    void close();

    bool setRate(int rate);

private:
    struct PrivateData {
        HANDLE hPort;
        DWORD setMask;
    };

    HANDLE m_hEvThread;
    PrivateData m_params;

    static DWORD eventThreadHandler(LPVOID params);

};

#endif // SERIAL_H
